{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "C/C++ (debug launch)",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/build/${fileBasenameNoExtension}",
            "preLaunchTask": "LD-link",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                },
                {
                    "description":  "Set Disassembly Flavor to Intel",
                    "text": "-gdb-set disassembly-flavor intel",
                    "ignoreFailures": true
                }
            ]
        },
        {
            "name": "ASM (debug launch)",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/build/${fileBasenameNoExtension}.exe",
            "miDebuggerPath": "${workspaceFolder}/bin/gdb/bin/gdb.exe",
            "linux": {
                "program": "${workspaceFolder}/build/${fileBasenameNoExtension}",
                "miDebuggerPath": "gdb",
                "name": "ASM (debug launch)",
                "type": "cppdbg",
                "request": "launch"
            },
            "preLaunchTask": "LD-link",
            "cwd": "${workspaceFolder}",
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                { "text": "set disassembly-flavor intel" },
                { "text": "-enable-pretty-printing" }
            ],
        }
    ]
}